Kwalitee Issues

No Core Issues.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
ShardedKV An interface to sharded key-value stores 0.02 metacpan
ShardedKV::Continuum The continuum role 0.02 metacpan
ShardedKV::Continuum::Ketama Continuum implementation based on ketama consistent hashing 0.02 metacpan
ShardedKV::Storage Role for classes implementing storage backends 0.02 metacpan
ShardedKV::Storage::Memory Testing storage backend for in-memory storage 0.02 metacpan
ShardedKV::Storage::MySQL MySQL storage backend for ShardedKV 0.02 metacpan
ShardedKV::Storage::MySQL::ActiveKeyMigration Simple-minded active key migration for the MySQL storage back-end 0.02 metacpan
ShardedKV::Storage::Redis Abstract base class for storing k/v pairs in Redis 0.02 metacpan
ShardedKV::Storage::Redis::Hash Storing hash values in Redis 0.02 metacpan
ShardedKV::Storage::Redis::String Storing simple string values in Redis 0.02 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan
dist.ini metacpan